package com.dsk.common.core.domain.entity;

import com.dsk.common.annotation.Excel;
import com.dsk.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 项目用户关联对象 business_user
 *
 * @author lxl
 * @date 2023-05-17
 */
public class BusinessUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 项目id(business_info表id) */
    @Excel(name = "项目id(business_info表id)")
    private Integer businessId;

    /** 部门id */
    @Excel(name = "部门id")
    private Integer deptId;

    /** 用户id */
    @Excel(name = "用户id")
    private Integer userId;

    /** 是否创建人(1 是,0 否) */
    @Excel(name = "是否创建人(1 是,0 否)")
    private Integer isFounder;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setBusinessId(Integer businessId)
    {
        this.businessId = businessId;
    }

    public Integer getBusinessId()
    {
        return businessId;
    }
    public void setDeptId(Integer deptId)
    {
        this.deptId = deptId;
    }

    public Integer getDeptId()
    {
        return deptId;
    }
    public void setUserId(Integer userId)
    {
        this.userId = userId;
    }

    public Integer getUserId()
    {
        return userId;
    }
    public void setIsFounder(Integer isFounder)
    {
        this.isFounder = isFounder;
    }

    public Integer getIsFounder()
    {
        return isFounder;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("businessId", getBusinessId())
            .append("deptId",getDeptId() )
            .append("userId", getUserId())
            .append("isFounder", getIsFounder())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }

    public BusinessUser(Integer businessId, Integer deptId, Integer userId, Integer isFounder) {
        this.businessId = businessId;
        this.deptId = deptId;
        this.userId = userId;
        this.isFounder = isFounder;
    }
}
